#!/sw/bin/perl

$self = $0;
$self =~ s!^.*/!!;

$source = "/usr/develop/modules/";
$target = "/usr/tmp/modules/";
$module = "current";

$source =~ s!/$!!;
$target =~ s!/$!!;

unless (-l "$source/$module")
{
    die "$self: current module '$module' is not a symbolic link!\n";
}

$module = readlink("$source/$module");

unless (-f "$source/$module.tar.gz")
{
    die "$self: current module '$module' is not available!\n";
}

&make_system("cp -p $source/$module.tar.gz $target/");
&make_perl  ("chdir('$target/')");
&make_system("rm -fr $module");
&make_system("gunzip $module.tar.gz");
&make_system("tar -xf $module.tar");
&make_system("rm -f $module.tar");
&make_perl  ("chdir('$target/$module/')");
&make_system("perl Makefile.PL");
&make_system("make");

exit;

sub make_system
{
    my($command) = @_;

    print "$command\n";
    system($command);
}

sub make_perl
{
    my($command) = @_;

    print "$command\n";
    eval "$command";
}
