@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S "%0" %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
goto endofperl
@rem ';
#!/sw/bin/perl
#line 14

# Usage: modify [files]

$self = $0;
$self =~ s!^.*/!!;

unless (@ARGV)
{
    die "Usage: $self [filenames]\n";
}

#undef $/;

foreach (@ARGV)
{
    FILE:
    foreach $filename (glob($_))
    {
        next FILE unless (-f $filename);
        unless (rename($filename,"$filename.bak"))
        {
            warn "unable to rename '$filename' to '$filename.bak': $!\n";
            next FILE;
        }
        unless (open(INPUT, "<$filename.bak"))
        {
            warn "unable to read '$filename.bak': $!\n";
            next FILE;
        }
        unless (open(OUTPUT, ">$filename"))
        {
            warn "unable to write '$filename': $!\n";
            next FILE;
        }
        while (<INPUT>)
        {
            s/=([0-9A-F][0-9A-F])/chr(hex($1))/eg;
            s/[ \t]+$//;
            s/[ \t]*=$//;
            print OUTPUT;
        }
        close(INPUT);
        close(OUTPUT);
    }
}
__END__
:endofperl
