#!/bin/bash
if [ "$1" = "" ]
then
    echo
    echo "Error: no argument given!"
    echo
    echo "Syntax: `basename $0 .sh` \"<regular expression>\""
    echo
    echo "\"File Find\""
    echo
    echo "This utility searches the current directory as well as all"
    echo "subdirectories it contains for files whose names match the"
    echo "<regular expression> passed to this utility as an argument."
    echo
    echo "Note that the double quotation marks (\" ... \")"
    echo "are mandatory if the '*' wildcard operator is used."
    echo
    echo "sd&m sb 94"
    echo
else
    find . -name "$1" -print
fi
